# UIkitty 2.x

UIkitty 2.x is a lightweight and modular front-end framework for developing fast and powerful web interfaces with Drupal 8.x

## Getting Started

UIkitty is now available in 2.x and 3.x versions. Make sure you download and install the appropriate version for the theme you are using.
It is recommended to use the newest tagged release available for the version you are using.
Development for Uikitty 2.x happens on the 8.x-2.x branch. For production sites, always download the newest tagged release for stability.
We love contributors and encourage you to clone the repo and get involved by creating issues, writing fixes and updates or helping with the documentation.

* [Homepage](https://uikitty.com) - Learn more about UIkitty
* [@uikitty1](https://twitter.com/uikitty1) - Get the latest buzz on Twitter

### Prerequisities

UIkitty runs on Drupal 8.x
UIkitty should work with any contrib module.

```
uikitty is for developers and designers. Build rapid prototypes with ease.
```

### Installing

Install Drupal 8

Download the newest version of uikitty base theme, make default theme in /admin/appearance

```
Do not edit the uikitty theme, make your changes in either one of the contributed sub themes or make your own sub theme.
```

Download desired sub theme. For minimal installations or developers looking to start with a clean slate, download the platinum starter or mini kitty

## Contributing

Finding bugs, sending pull requests or improving our docs - any contribution is welcome and highly appreciated. To get started, head over to our [contribution guidelines](CONTRIBUTING.md). Thanks!

## Versioning

UIkitty is maintained by using the [Semantic Versioning Specification (SemVer)](http://semver.org).

## Browser Support

![Chrome](https://raw.github.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png) | ![Firefox](https://raw.github.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png) | ![Edge](https://raw.github.com/alrra/browser-logos/master/src/edge/edge_48x48.png) | ![IE](https://raw.github.com/alrra/browser-logos/master/src/archive/internet-explorer_9-11/internet-explorer_9-11_48x48.png) | ![Safari](https://raw.github.com/alrra/browser-logos/master/src/safari/safari_48x48.png) | ![Opera](https://raw.github.com/alrra/browser-logos/master/src/opera/opera_48x48.png)
--- | --- | --- | --- | --- | --- |
Latest ✔ | Latest ✔ | Latest ✔ | 10+ ✔ | 7.1+ ✔ | Latest ✔ |


## Copyright and License

Copyright [QodeOne](http://www.qode.one) GmbH under the [MIT license](LICENSE.md).
